//
//  BackendEntry.m
//  MyMote
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "BackendEntry.h"

@implementation BackendEntry;

- (id)initWithTarget:(id)newTarget action:(SEL)newAction {
	if (self = [super init]) {
		self.title = @"Enter Backend";

		target = [newTarget retain];
		action = newAction;
	}
	return self;
}

- (void)loadView {
	self.view = [[[UIView alloc] init] autorelease];
	self.view.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
	self.view.backgroundColor = [UIColor groupTableViewBackgroundColor];

	textField = [[[UITextField alloc] initWithFrame:CGRectMake((self.parentViewController.view.bounds.size.width - 250) / 2, 85, 250, 30)] autorelease];
	textField.placeholder = @"Address[:Port]";
	textField.borderStyle = UITextBorderStyleRoundedRect;
	textField.keyboardType = UIKeyboardTypeURL;
	textField.autocorrectionType = UITextAutocorrectionTypeNo;
	textField.delegate = self;
	[self.view addSubview:textField];
}

- (void)viewWillAppear:(BOOL)animated {
	[textField becomeFirstResponder];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return NO;
}

- (void)dealloc {
	[target release];
	[super dealloc];
}

// UITextFieldDelegate

- (BOOL)textFieldShouldReturn:(UITextField *)thisTextField {
	[target performSelector:action withObject:textField.text];
	[textField resignFirstResponder];
	[self.navigationController dismissModalViewControllerAnimated:YES];
	return YES;
}

@end
