//
//  BackgroundView.m
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "BackgroundView.h"

@implementation BackgroundView

- (id)initWithFrame:(CGRect)frame {
	if (self = [super initWithFrame:frame]) {
		self.autoresizesSubviews = YES;
		
		UIImage *background = [UIImage imageNamed:@"background.png"];
		background = [background stretchableImageWithLeftCapWidth:(background.size.width - 1) / 2 topCapHeight:(background.size.height - 1) / 2];
		UIImageView *backgroundView = [[[UIImageView alloc] initWithFrame:self.bounds] autorelease];
		backgroundView.autoresizingMask = UIViewAutoresizingFlexibleWidth | UIViewAutoresizingFlexibleHeight;
		backgroundView.image = background;
		[self addSubview:backgroundView];
	}
	return self;
}

@end
