//
//  ChangeTimeView.m
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "defines.h"
#import "ChangeTimeView.h"

@implementation ChangeTimeView

@synthesize datePicker;

- (id)initWithProgramGuideView:(ProgramGuideView *)programGuideView {
    if (self = [super init]) {
		self.backgroundColor = [UIColor viewFlipsideBackgroundColor];
		self.autoresizesSubviews = YES;
		
		datePicker = [[UIDatePicker alloc] init];
		datePicker.minuteInterval = 30;
		[self addSubview:datePicker];
		
		UINavigationBar *navBar = [[[UINavigationBar alloc] init] autorelease];
		navBar.frame = CGRectMake(0, 0, 0, EPG_NAV_BAR_HEIGHT);
		navBar.autoresizingMask = UIViewAutoresizingFlexibleWidth;
		[self addSubview:navBar];
		
		UINavigationItem *navItem = [[[UINavigationItem alloc] initWithTitle:@"Guide Start Time"] autorelease];
		navItem.leftBarButtonItem = [[[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemCancel target:programGuideView action:@selector(cancelNewTimeView)] autorelease];
		navItem.rightBarButtonItem = [[[UIBarButtonItem alloc] initWithBarButtonSystemItem:UIBarButtonSystemItemAction target:programGuideView action:@selector(changeTime)] autorelease];
		
		[navBar pushNavigationItem:navItem animated:NO];
	}
    return self;
}

- (void)showWithFrame:(CGRect)frame {
	if (EPG_NAV_BAR_HEIGHT + datePicker.bounds.size.height <= frame.size.height) {
		self.frame = CGRectMake(frame.origin.x, frame.origin.y + frame.size.height, frame.size.width, EPG_NAV_BAR_HEIGHT + datePicker.bounds.size.height);
		datePicker.center = CGPointMake(self.bounds.size.width / 2, EPG_NAV_BAR_HEIGHT + datePicker.bounds.size.height / 2);
	}
	else {
		self.frame = CGRectMake(frame.origin.x, frame.origin.y + frame.size.height, frame.size.width, frame.size.height);
		datePicker.center = CGPointMake(self.bounds.size.width / 2, EPG_NAV_BAR_HEIGHT + (frame.size.height - EPG_NAV_BAR_HEIGHT) / 2);
	}
}

- (void)dealloc {
	[datePicker release];
	[super dealloc];
}

@end
