//
//  Channel.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

@class GuideResponse;
@class Program;

@interface Channel : NSObject <NSXMLParserDelegate> {
	NSAutoreleasePool *pool;
	GuideResponse *response;
	NSMutableDictionary *attributes;
	NSMutableArray *programs;
	Program *extendedProgram;
	BOOL parseBefore;
	BOOL parseAfter;
}

@property (readonly) GuideResponse *response;
@property (readonly) NSMutableArray *programs;
@property (readonly) NSString *name;
@property (readonly) NSString *number;
@property (readonly) NSString *chanId;
@property (readonly) NSString *callSign;

- (id)initWithResponse:(id)newResponse attributes:(NSDictionary *)newAttributes;
- (void)drawInRect:(CGRect)rect context:(CGContextRef)ctx;
- (void)drawProgramsInRect:(CGRect)rect yOffset:(CGFloat)yOffset;
- (void)getExtendedPrograms;

@end
