//
//  DateView.m
//  MyMote
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "DateView.h"
#import "GuideResponse.h"
#import "ProgramGuideData.h"
#import "ProgramGuideView.h"

@implementation DateView

- (id)initWithFrame:(CGRect)frame data:(ProgramGuideData *)newData {
	if (self = [super initWithFrame:frame]) {
		self.clearsContextBeforeDrawing = NO;
		self.opaque = YES;
		
		data = [newData retain];
	}
	return self;
}

- (void)drawRect:(CGRect)rect {
	NSDateFormatter *formatter = [[[NSDateFormatter alloc] init] autorelease];
	formatter.dateFormat = @"MMM d";
	
	CGContextRef ctx = UIGraphicsGetCurrentContext();
	CGContextAddRect(ctx, rect);
	CGContextSetRGBFillColor(ctx, 1, 1, 1, 1);
	CGContextFillPath(ctx);
	
	CGContextSetRGBFillColor(ctx, 0, 0, 0, 1);
	
	[[formatter stringFromDate:data.response.startDate] drawCenteredInRect:rect withFont:[UIFont boldSystemFontOfSize:17]];
}

- (void)touchesEnded:(NSSet *)touches withEvent:(UIEvent *)event {
	if ([touches count] == 1 && [self pointInside:[[touches anyObject] locationInView:self] withEvent:nil]) {
		[(ProgramGuideView *)self.superview requestNewTime];
	}
}

- (void)dealloc {
	[data release];
	[super dealloc];
}

@end
