//
//  FrontendSettings.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

@class Backend;
@class FrontendSettings;

@protocol FrontendSettingsDelegate

- (void)frontendSettings:(FrontendSettings *)frontendSettings validFrontend:(NSString *)frontend port:(unsigned short)port;
- (void)frontendSettings:(FrontendSettings *)frontendSettings invalidFrontend:(NSString *)frontend;

@end

@interface FrontendSettings : NSObject <NSXMLParserDelegate> {
	NSString *frontend;
	id delegate;
	NSMutableData *settingsXML;
	NSURLConnection *connection;
	NSXMLParser *parser;
	NSString *key;
	NSMutableString *currentString;
	BOOL telnetEnabled;
	int telnetPort;
}

- (id)initWithBackend:(Backend *)backend frontend:(NSString *)frontend delegate:(id <NSObject, FrontendSettingsDelegate>)delegate;

@end
