//
//  GuideResponse.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

@class ProgramGuideData;

@interface GuideResponse : NSObject <NSXMLParserDelegate> {
	ProgramGuideData *programGuideData;
	NSMutableString *currentString;
	NSString *startTime;
	NSString *endTime;
	unsigned int numChannels;
	NSString *retrievalDate;
	NSMutableArray *channels;
	NSDate *startDate;
	NSDate *endDate;
	float guideMinuteLength;
	unsigned int prevNumChannels;
	unsigned int lastChanId;
	BOOL finished;
}

@property (readonly) ProgramGuideData *programGuideData;
@property (readonly) NSString *retrievalDate;
@property (readonly) NSMutableArray *channels;
@property (readonly) NSDate *startDate;
@property (readonly) NSDate *endDate;
@property (readonly) float guideMinuteLength;
@property (readonly) unsigned int lastChanId;
@property (readonly) BOOL finished;

- (id)initWithProgramGuideData:(ProgramGuideData *)newProgramGuideData;

@end
