//
//  Keyboard.m
//  MyMote
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "Keyboard.h"
#import "TelnetRemote.h"

@implementation Keyboard

- (BOOL)textField:(UITextField *)textField shouldChangeCharactersInRange:(NSRange)range replacementString:(NSString *)string {
	if (range.location == 1) {
		if ([string isEqualToString:@"\n"]) {
			[textField resignFirstResponder];
		}
		else if ([string isEqualToString:@" "]) {
			[TELNETREMOTE sendCommand:@"key space"];
		}
		else {
			[TELNETREMOTE sendCommand:[NSString stringWithFormat:@"key %@", string]];
		}
	}
	else {
		[TELNETREMOTE sendCommand:@"key backspace"];
	}
	
	return NO;
}

@end
