//
//  MyMoteAppDelegate.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

@class MainTabBarController;
@class ProgramGuide;
@class Recordings;
@class Remote;
@class TelnetRemote;
@class Settings;
@class BackendLocator;
@class Keyboard;
@class CTCallCenter;

@interface MyMoteAppDelegate : NSObject <UIApplicationDelegate> {
	NSOperationQueue *operationQueue;
	NSMutableString *debugInfo;
    UIWindow *window;
	MainTabBarController *tabBarController;
	Remote *remote;
	ProgramGuide *programGuide;
	Recordings *recordings;
	TelnetRemote *telnetRemote;
	Settings *settings;
	BackendLocator *backendLocator;
	UITextField *hiddenTextField;
	Keyboard *keyboard;
	CTCallCenter *callCenter;
}

@property (readonly) NSOperationQueue *operationQueue;
@property (readonly) NSMutableString *debugInfo;
@property (readonly) MainTabBarController *tabBarController;
@property (readonly) Remote *remote;
@property (readonly) ProgramGuide *programGuide;
@property (readonly) TelnetRemote *telnetRemote;
@property (readonly) Settings *settings;
@property (readonly) BackendLocator *backendLocator;
@property (readonly) UITextField *hiddenTextField;

@end
