//
//  MythXMLParser.m
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "MythXMLParser.h"

@implementation MythXMLParser

static NSMutableDictionary *backendLocks;

+ (void)initMythXMLParser {
	backendLocks = [[NSMutableDictionary alloc] init];
}

- (id)initWithContentsOfURL:(NSURL *)url {
	if (!url.host) {
		return [super initWithContentsOfURL:url];
	}
	
	NSLock *lock = [backendLocks objectForKey:url.host];
	if (!lock) {
		lock = [[[NSLock alloc] init] autorelease];
		[backendLocks setObject:lock forKey:url.host];
	}
	
	[lock lock];
	
	id ret = [super initWithContentsOfURL:url];
	
	[lock unlock];
	
	return ret;
}

@end
