//
//  Program.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

@class Channel;

@interface Program : NSObject <NSXMLParserDelegate> {
	NSMutableString *currentString;
	Channel *channel;
	NSMutableDictionary *attributes;
	NSDate *startDate;
	NSDate *endDate;
	float programMinuteLength;
	NSString *description;
	UIColor *color;
}

@property (readonly) Channel *channel;
@property (readonly) NSString *title;
@property (readonly) NSString *subtitle;
@property (readonly) NSString *type;
@property (readonly) NSString *category;
@property (readonly) NSString *startTime;
@property (readonly) NSString *endTime;
@property (readonly) Boolean repeat;
@property (readonly) NSDate *startDate;
@property (readonly) NSDate *endDate;
@property (readonly) float programMinuteLength;
@property (readonly) NSString *description;
@property (readonly) UIColor *color;

- (id)initWithChannel:(id)newChannel attributes:(NSDictionary *)newAttributes;
- (void)drawInRect:(CGRect)rect;
- (NSComparisonResult)programSort:(Program *)other;

@end
