//
//  ProgramGuideView.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

@class ChangeTimeView;
@class ChannelScrollView;
@class DateView;
@class GuideScrollView;
@class Program;
@class ProgramGuideData;
@class ProgramInfoView;
@class TimeScrollView;

@interface ProgramGuideView : UIView <UIAlertViewDelegate> {
	SEL afterRotateCall;
	ChangeTimeView *changeTimeView;
	ChannelScrollView *channelScrollView;
	DateView *dateView;
	GuideScrollView *guideScrollView;
	ProgramGuideData *programGuideData;
	Program *programInfoProgram;
	ProgramInfoView *programInfoView;
	UIActivityIndicatorView *activityIndicator;
	NSDate *startDate;
	TimeScrollView *timeScrollView;
}

@property (readonly) ProgramGuideData *programGuideData;

- (void)drawContentView;

- (void)updateProgramGuideWithDate:(NSDate *)date;
- (void)requestNewTime;
- (void)newTimeViewGone:(NSString *)animationID finished:(NSNumber *)finished context:(void *)context;
- (void)cancelNewTimeView;

- (void)showProgramInfo:(Program *)program;
- (void)closeProgramInfo;

- (void)willRotate;
- (void)didRotate;

- (void)didReceiveMemoryWarning;

@end
