//
//  Recordings.m
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "RecordedPrograms.h"
#import "Recordings.h"
#import "RecordingsData.h"

@implementation Recordings

- (id)init {
	if (self = [super init]) {
		self.title = @"Recordings";
		self.tabBarItem.image = [UIImage imageNamed:@"recordings.png"];
		
		data = [[RecordingsData alloc] initWithRecordings:self];
	}
	return self;
}

- (void)loadView {
	recordedPrograms = [[[RecordedPrograms alloc] initWithRecordings:self programs:data.programs] autorelease];
	navigationController = [[UINavigationController alloc] initWithRootViewController:recordedPrograms];
	navigationController.navigationBar.barStyle = UIBarStyleBlackOpaque;
	self.view = navigationController.view;
	
	// Fix for iPhone OS 3.0
	CGRect frame = navigationController.navigationBar.frame;
	frame.origin.y = 0;
	navigationController.navigationBar.frame = frame;

	[self refresh];
}

- (void)refresh {
	NSInvocationOperation *operation = [[NSInvocationOperation alloc] initWithTarget:data selector:@selector(refresh) object:nil];
	[OPERATION_QUEUE addOperation:operation];
	[operation release];
}

- (void)dataRefreshed {
	[navigationController popToRootViewControllerAnimated:YES];
	[recordedPrograms dataRefreshed];
}

- (void)dealloc {
	[navigationController release];
	[data release];
	[super dealloc];
}

@end
