//
//  Regex.m
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "Regexp.h"

@implementation Regexp

- (id)initWithExpression:(NSString *)newExpression {
	if (self = [super init]) {
		int ret;
		if ((ret = regcomp(&regex, [newExpression UTF8String], REG_EXTENDED | REG_ICASE | REG_NOSUB)) != 0) {
			char buf[300];
			regerror(ret, &regex, buf, sizeof(buf));
			NSLog(@"Error while creating regular expression: %s", buf);
			[super dealloc];
			self = nil;
		}
	}
	return self;
}

- (BOOL)test:(NSString *)string {
	int ret = regexec(&regex, [string UTF8String], 0, NULL, 0);
	char buf[300];
	switch (ret) {
		case 0:
			return TRUE;
			
		case REG_NOMATCH:
			return FALSE;
			
		default:
			regerror(ret, &regex, buf, sizeof(buf));
			NSLog(@"Error while executing regular expression: %s", buf);
			return FALSE;
	}
}

- (void)dealloc {
	regfree(&regex);
	[super dealloc];
}

@end