//
//  Remote.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

@class ButtonPickerController;
@class RemoteViewController;

@interface Remote : UIViewController {
	UINavigationController *navigationController;
	NSMutableDictionary *remoteViewControllers;
	ButtonPickerController *buttonPickerController;
	NSString *currentType;
	char querying;
	NSTimer *timer;
}

@property (readonly) ButtonPickerController *buttonPickerController;

- (void)showMusic;
- (void)showNumbers;
- (void)showNavigation;
- (void)showKeyboard;
- (void)startPolling;
- (void)stopPolling;
- (void)updateLocation:(NSString *)locationString;
- (void)queryLocation:(NSTimer *)timer;
- (void)reloadRemoteViewController:(NSString *)type;

@end
