//
//  RemoteButton.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

@class ButtonPickerController;
@class RemoteView;

@interface RemoteButton : UIControl {
	NSMutableDictionary *info;
	UIImage *image;
	BOOL previouslyHighlighted;
	BOOL editing;
	ButtonPickerController *buttonPickerController;
	RemoteView *targetView;
	NSTimer *timer;
}

@property (assign) ButtonPickerController *buttonPickerController;
@property (assign) BOOL editing;
@property (readonly) NSMutableDictionary *info;
@property (assign) RemoteView *targetView;

- (id)initWithInfo:(NSDictionary *)newInfo;
- (void)prepareRepeatable;
- (void)sendKey;
- (void)handleMyMoteKey;
- (void)handleLIRCKey;
- (void)buttonPicked;
- (void)pickerGone;
- (void)remove;

@end