//
//  Settings.m
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "defines.h"
#import "Backend.h"
#import "MainTabBarController.h"
#import "Settings.h"
#import "SettingsViewController.h"

@implementation Settings

- (id)init {
	if (self = [super init]) {
		self.title = @"Settings";
		self.tabBarItem.image = [UIImage imageNamed:@"settings.png"];
	}
	return self;
}

- (void)loadView {
	navigationController = [[UINavigationController alloc] initWithRootViewController:[[[SettingsViewController alloc] init] autorelease]];
	navigationController.navigationBar.barStyle = UIBarStyleBlackOpaque;
	navigationController.delegate = self;
	self.view = navigationController.view;
	
	// Fix for iPhone OS 3.0 Beta
	CGRect frame = navigationController.navigationBar.frame;
	frame.origin.y = 0;
	navigationController.navigationBar.frame = frame;
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation {
	return NO;
}

// UINavigationControllerDelegate (Needed as a work around for the UITableViewController viewWill{A,Disa}ppear bug)

- (void)navigationController:(UINavigationController *)navigationController willShowViewController:(UIViewController *)viewController animated:(BOOL)animated {
	[previousViewController viewWillDisappear:animated];
	previousViewController = viewController;
	[viewController viewWillAppear:animated];
}

- (void)dealloc {
	[navigationController release];
	[super dealloc];
}

@end