//
//  TelnetRemote.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

@class RemoteButton;

@interface TelnetRemote : NSObject <UIAlertViewDelegate, NSStreamDelegate> {
	NSInputStream *istream;
	NSOutputStream *ostream;
	NSRunLoop *runloop;
	id returnTarget;
	SEL returnSelector;
	NSMutableArray *sendQueue;
	NSMutableArray *recvQueue;
	NSMutableString *toSend;
	NSLock *stateLock;
	NSMutableString *message;
	BOOL waitingReceive;
	BOOL resuming;
	UIAlertView *netDownAlert;
	UIAlertView *connectingAlert;
}

@property (assign) BOOL resuming;

- (void)setup;
- (void)processWrites;
- (void)queryLocationWithTarget:(id)target selector:(SEL)selector;
- (void)sendCommand:(NSString *)command;

@end

@interface SelectorObject : NSObject {
	SEL selector;
}

@property (assign) SEL selector;

- (id) initWithSelector:(SEL)newSelector;

@end