//
//  TimeScrollView.m
//  MyMote
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import "GuideScrollView.h"
#import "TimesView.h"
#import "TimeScrollView.h"

@implementation TimeScrollView

@synthesize guideScrollView;

- (id)initWithGuideData:(ProgramGuideData *)newData {
	if (self = [super init]) {
		self.autoresizingMask = UIViewAutoresizingFlexibleBottomMargin | UIViewAutoresizingFlexibleWidth;
		self.delegate = self;
		self.clearsContextBeforeDrawing = NO;
		self.opaque = YES;
		
		data = [newData retain];
		timesView = [[[TimesView alloc] initWithProgramGuideData:data] autorelease];
		[self addSubview:timesView];
		self.contentSize = timesView.bounds.size;
	}
	return self;
}

- (void)dataChanged {
	[timesView render];
}

- (void)dealloc {
	[data release];
	[guideScrollView release];
	[super dealloc];
}

// UIScrollViewDelegate

- (void)scrollViewWillBeginDragging:(UIScrollView *)scrollView {
	guideScrollView.timeScrolling = YES;
}

- (void)scrollViewDidScroll:(UIScrollView *)scrollView {
	guideScrollView.contentOffset = CGPointMake(scrollView.contentOffset.x, guideScrollView.contentOffset.y);
}

- (void)scrollViewDidEndDragging:(UIScrollView *)scrollView willDecelerate:(BOOL)decelerate {
	if (!decelerate) {
		guideScrollView.timeScrolling = NO;
	}
}

- (void)scrollViewDidEndDecelerating:(UIScrollView *)scrollView {
	guideScrollView.timeScrolling = NO;
}

@end
