//
//  defines.h
//  MyMote
//
//  Copyright 2008 Chase Douglas
//
//  This program is free software; you can redistribute it and/or
//  modify it under the terms of the GNU General Public License
//  version 2 as published by the Free Software Foundation
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
//

#import <UIKit/UIKit.h>

#import "MyMoteAppDelegate.h"

#define OPERATION_QUEUE (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).operationQueue)
#define DEBUG_INFO (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).debugInfo)
#define TAB_BAR_CONTROLLER (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).tabBarController)
#define DEFAULTS [NSUserDefaults standardUserDefaults]
#define REMOTE (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).remote)
#define PROGRAM_GUIDE (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).programGuide)
#define TELNETREMOTE (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).telnetRemote)
#define SETTINGS (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).settings)
#define BACKEND_LOCATOR (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).backendLocator)
#define HIDDEN_TEXT_FIELD (((MyMoteAppDelegate *)[UIApplication sharedApplication].delegate).hiddenTextField)

#define BACKEND_KEY @"Backend"
#define BACKEND_PIN_KEY @"Backend Pin"
#define DATABASE_ADDRESS_KEY @"Database Address"
#define FRONTEND_KEY @"Frontend"
#define FRONTEND_ADDRESS_KEY @"Frontend Address"
#define FRONTEND_PORT_KEY @"Frontend Port"
#define BACKEND [DEFAULTS backendForKey:BACKEND_KEY]
#define FRONTEND [DEFAULTS stringForKey:FRONTEND_KEY]
#define FRONTEND_PORT [DEFAULTS integerForKey:FRONTEND_PORT_KEY]

#define BACKEND_LOCATION [NSString stringWithFormat:@"%@:%hu", (BACKEND.hostname ? BACKEND.hostname : BACKEND.address), BACKEND.port]
#define FRONTEND_ADDRESS ([[[DEFAULTS objectForKey:FRONTEND_ADDRESS_KEY] objectForKey:BACKEND_LOCATION] objectForKey:FRONTEND] ? [[[DEFAULTS objectForKey:FRONTEND_ADDRESS_KEY] objectForKey:BACKEND_LOCATION] objectForKey:FRONTEND] : FRONTEND)

#define EPG_TILE_SIZE 1024
#define EPG_ROW_HEIGHT 52
#define EPG_CHANNEL_WIDTH 102
#define EPG_PROGRAMS_WIDTH 1441
#define EPG_TIME_ROW_INTERVAL 7
#define EPG_NAV_BAR_HEIGHT 44
#define EPG_CHANNEL_ICON_DIM 50

#define ATTRIBUTE_PROPERTY(var, attr) \
- (NSString *)var { \
	return [attributes objectForKey:(attr)]; \
}

#ifdef LOG_DEBUG_INFO
#define NSLog(...) [DEBUG_INFO appendFormat:__VA_ARGS__]; \
                   [DEBUG_INFO appendString:@"\n"]; \
                   NSLog(__VA_ARGS__)
#endif

#define SCALE ([[UIScreen mainScreen] respondsToSelector:@selector(scale)] ? [UIScreen mainScreen].scale : 1)
